#!/usr/bin/env python3
# -*- coding: us-ascii -*-

import os

from nagios_plugin3 import CriticalError, WarnError, UnknownError, try_check

INPUT_FILE = '/var/lib/nagios/mdadm.out'


def parse_output():
    if not os.path.exists(INPUT_FILE):
        raise UnknownError('UNKNOWN: file not found ({})'.format(INPUT_FILE))

    with open(INPUT_FILE, 'r') as fd:
        for line in fd.readlines():
            line = line.strip()
            if line.startswith('CRITICAL: '):
                raise CriticalError(line)
            elif line.startswith('WARNING: '):
                raise WarnError(line)
            else:
                print(line)


def main():
    try_check(parse_output)


if __name__ == '__main__':
    main()
