import io
import os
import sys
import unittest
import unittest.mock as mock

sys.path.append('files/sas2ircu')
import check_sas2ircu  # noqa: E402


class TestCheckMegaCLI(unittest.TestCase):
    @mock.patch('sys.stdout', new_callable=io.StringIO)
    def test_parse_output(self, mock_print):
        check_sas2ircu.INPUT_FILE = os.path.join(os.getcwd(), 'tests',
                                                 'hw-health-samples',
                                                 'sas2ircu.huawei.output.1')
        check_sas2ircu.parse_output()
        actual = mock_print.getvalue()
        expected = 'OK: Ready[1:0,1:1,1:2,1:3,1:4,1:5,1:6,1:7]\n'
        self.assertEqual(actual, expected)
